> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Request bulk disabling voice on SIM cards.

> This API triggers an asynchronous operation to disable voice on SIM cards belonging to a specified SIM Card Group.<br/>
For each SIM Card a SIM Card Action will be generated. The status of the SIM Card Actions can be followed through the [List SIM Card Action](https://developers.telnyx.com/api-reference/sim-card-actions/list-sim-card-actions) API.

The overall status of the Bulk SIM Card Action can be followed through the [List Bulk SIM Card Action](https://developers.telnyx.com/api-reference/sim-card-actions/list-bulk-sim-card-actions) API.




## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/wireless/sim-cards-bulk-actions.yml post /sim_cards/actions/bulk_disable_voice
openapi: 3.1.0
info:
  title: SIM Cards Bulk Actions API
  version: 2.0.0
  description: >-
    Bulk SIM card operations including bulk enable/disable voice, bulk set
    public IPs, and registration code validation.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /sim_cards/actions/bulk_disable_voice:
    post:
      tags:
        - SIM Cards
      summary: Request bulk disabling voice on SIM cards.
      description: >
        This API triggers an asynchronous operation to disable voice on SIM
        cards belonging to a specified SIM Card Group.<br/>

        For each SIM Card a SIM Card Action will be generated. The status of the
        SIM Card Actions can be followed through the [List SIM Card
        Action](https://developers.telnyx.com/api-reference/sim-card-actions/list-sim-card-actions)
        API.


        The overall status of the Bulk SIM Card Action can be followed through
        the [List Bulk SIM Card
        Action](https://developers.telnyx.com/api-reference/sim-card-actions/list-bulk-sim-card-actions)
        API.
      operationId: DisableVoiceBulk
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - sim_card_group_id
              properties:
                sim_card_group_id:
                  type: string
                  example: 6b14e151-8493-4fa1-8664-1cc4e6d14158
      responses:
        '202':
          $ref: '#/components/responses/BulkSIMCardActionResponse'
        '422':
          $ref: '#/components/responses/wireless_UnprocessableEntity'
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import Telnyx from 'telnyx';

            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });

            const response = await client.simCards.actions.bulkDisableVoice({
              sim_card_group_id: '6b14e151-8493-4fa1-8664-1cc4e6d14158',
            });

            console.log(response.data);
        - lang: Python
          source: |-
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            response = client.sim_cards.actions.bulk_disable_voice(
                sim_card_group_id="6b14e151-8493-4fa1-8664-1cc4e6d14158",
            )
            print(response.data)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tresponse, err := client.SimCards.Actions.BulkDisableVoice(context.TODO(), telnyx.SimCardActionBulkDisableVoiceParams{\n\t\tSimCardGroupID: \"6b14e151-8493-4fa1-8664-1cc4e6d14158\",\n\t})\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", response.Data)\n}\n"
        - lang: Java
          source: >-
            package com.telnyx.sdk.example;


            import com.telnyx.sdk.client.TelnyxClient;

            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;

            import
            com.telnyx.sdk.models.simcards.actions.ActionBulkDisableVoiceParams;

            import
            com.telnyx.sdk.models.simcards.actions.ActionBulkDisableVoiceResponse;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    ActionBulkDisableVoiceParams params = ActionBulkDisableVoiceParams.builder()
                        .simCardGroupId("6b14e151-8493-4fa1-8664-1cc4e6d14158")
                        .build();
                    ActionBulkDisableVoiceResponse response = client.simCards().actions().bulkDisableVoice(params);
                }
            }
        - lang: Ruby
          source: >-
            require "telnyx"


            telnyx = Telnyx::Client.new(api_key: "My API Key")


            response =
            telnyx.sim_cards.actions.bulk_disable_voice(sim_card_group_id:
            "6b14e151-8493-4fa1-8664-1cc4e6d14158")


            puts(response)
        - lang: CLI
          source: |-
            telnyx sim-cards:actions bulk-disable-voice \
              --api-key 'My API Key' \
              --sim-card-group-id 6b14e151-8493-4fa1-8664-1cc4e6d14158
components:
  responses:
    BulkSIMCardActionResponse:
      content:
        application/json:
          schema:
            type: object
            properties:
              data:
                $ref: '#/components/schemas/BulkSIMCardAction'
      description: Successful Response
    wireless_UnprocessableEntity:
      description: Unprocessable entity. Check the 'detail' field in response for details.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/wireless_Errors'
  schemas:
    BulkSIMCardAction:
      type: object
      description: >-
        This object represents a bulk SIM card action. It groups SIM card
        actions created through a bulk endpoint under a single resource for
        further lookup.
      properties:
        id:
          $ref: '#/components/schemas/wireless_Id'
        record_type:
          type: string
          example: bulk_sim_card_action
          readOnly: true
        action_type:
          type: string
          description: >-
            The action type. It can be one of the following: <br/>

            <ul>

            <li><code>bulk_disable_voice</code> - disable voice for every SIM
            Card in a SIM Card Group.</li>

            <li><code>bulk_enable_voice</code> - enable voice for every SIM Card
            in a SIM Card Group.</li>

            <li><code>bulk_set_public_ips</code> - set a public IP for each
            specified SIM Card.</li>

            </ul>
          enum:
            - bulk_disable_voice
            - bulk_enable_voice
            - bulk_set_public_ips
          readOnly: true
          example: bulk_set_public_ips
        settings:
          type: object
          description: A JSON object representation of the bulk action payload.
          example: {}
          readOnly: true
          additionalProperties: true
        created_at:
          $ref: '#/components/schemas/wireless_CreatedAt'
        updated_at:
          $ref: '#/components/schemas/wireless_UpdatedAt'
    wireless_Errors:
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/wireless_Error'
      type: object
    wireless_Id:
      type: string
      format: uuid
      description: Identifies the resource.
      readOnly: true
      example: 6a09cdc3-8948-47f0-aa62-74ac943d6c58
    wireless_CreatedAt:
      type: string
      description: ISO 8601 formatted date-time indicating when the resource was created.
      readOnly: true
      example: '2018-02-02T22:25:27.521Z'
    wireless_UpdatedAt:
      type: string
      description: ISO 8601 formatted date-time indicating when the resource was updated.
      readOnly: true
      example: '2018-02-02T22:25:27.521Z'
    wireless_Error:
      required:
        - code
        - title
      properties:
        code:
          type: string
        title:
          type: string
        detail:
          type: string
        source:
          type: object
          properties:
            pointer:
              description: JSON pointer (RFC6901) to the offending entity.
              type: string
            parameter:
              description: Indicates which query parameter caused the error.
              type: string
        meta:
          type: object
          additionalProperties: true
      type: object
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````